## icu 71.1

=== debian/changelog ===
icu (71.1-3mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Dec 2022 06:09:16 -0800

icu (71.1-3) unstable; urgency=high

  * Backport fix for ICU-22005: fix int32 overflow in FormattedStringBuilder.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 10 May 2022 18:51:00 +0200

icu (71.1-2) unstable; urgency=medium

  * Upload to Sid.
  * Backport upstream fixes:
    - ICU-21984 fix DateIntervalFormat.normalizeHourMetacharacters() ,
    - ICU-21994 fix heap-buffer-overflow.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 22 Apr 2022 20:12:11 +0200

icu (71.1-1) experimental; urgency=medium

  * New major upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 08 Apr 2022 06:47:02 +0200

icu (71.1~rc-1) experimental; urgency=medium

  * New major upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 19 Mar 2022 06:59:05 +0100

=== debian/control ===
Source: icu
Section: libs
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), autoconf-archive, pkg-config,
 python3-distutils
Build-Depends-Indep: doxygen (>= 1.7.1)
Build-Conflicts: clang
Homepage: https://icu.unicode.org/
Rules-Requires-Root: no

Package: libicu71
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: openttd (<< 1.8.0-2~), libiculx63 (<< 63.1-5)
Replaces: libiculx63 (<< 63.1-5)
Description: International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the runtime
 libraries for ICU.

Package: libicu-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libicu71 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
Replaces: icu-devtools (<< 71.1~rc-1~)
Breaks: icu-devtools (<< 71.1~rc-1~)
Suggests: icu-doc
Description: Development files for International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the development
 files for ICU.

Package: icu-devtools
Section: libdevel
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 71.1~rc-1~)
Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 71.1~rc-1~)
Description: Development utilities for International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support. This package contains programs used to
 manipulate data files found in the ICU sources and is a dependency of
 libicu-dev.  End users would generally not need to install this package.

Package: icu-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: API documentation for ICU classes and functions
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains HTML files
 documenting the ICU APIs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
export DEB_CPPFLAGS_MAINT_APPEND = -DU_TIMEZONE_FILES_DIR=/usr/share/zoneinfo-icu/44/le/
endif
ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
export DEB_CPPFLAGS_MAINT_APPEND = -DU_TIMEZONE_FILES_DIR=/usr/share/zoneinfo-icu/44/be/
endif

include /usr/share/dpkg/buildflags.mk

l_SONAME=70

override_dh_auto_clean:
	dh_auto_clean --no-parallel

override_dh_clean:
	dh_clean
	find $(CURDIR)/source/ \( -name Makefile -o -name pkgdataMakefile \) \
		-exec rm {} \;
	rm -Rf build-native

override_dh_auto_configure:
ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	dh_auto_configure -- --enable-static --disable-layoutex --disable-icu-config
else
	dh_auto_configure -B $(CURDIR)/build-native -- --host=$(DEB_BUILD_GNU_TYPE) --disable-layoutex --disable-icu-config
	dh_auto_build -B $(CURDIR)/build-native
	dh_auto_configure -- --enable-static --with-cross-build=$(CURDIR)/build-native
endif

override_dh_auto_build:
	dh_auto_build --parallel -- VERBOSE=1
	dh_auto_build --parallel -- VERBOSE=1 doc

override_dh_auto_test:
	dh_auto_test --no-parallel

override_dh_auto_install:
	dh_auto_install
	$(MAKE) -C $(CURDIR)/source/ install-doc DESTDIR=$(CURDIR)/debian/tmp/
	# delete extra license file
	$(RM) $(CURDIR)/debian/tmp/usr/share/icu/$(l_SONAME).?/LICENSE

override_dh_installdocs-indep:
	dh_installdocs -i
	# symlink duplicated files
	for file in `find debian/icu-doc/usr/share/doc/icu-doc/html/ -name \*icu_1_1\*`; do \
		normal=`echo $$file | sed s/icu_1_1//`; \
		if [ -f $$normal ]; then \
			$(RM) $$file; \
			ln -s `basename $$normal` $$file; \
		fi; \
	done

override_dh_missing:
	dh_missing --list-missing

%:
	dh $@ --sourcedirectory=$(CURDIR)/source/

.PHONY: override_dh_auto_clean override_dh_clean override_dh_auto_configure \
	override_dh_auto_build override_dh_auto_test \
	override_dh_auto_install override_dh_installdocs-indep \
	override_dh_missing

override_dh_strip:
	dh_strip -a --no-automatic-dbgsym

## icu 72.1

=== source/samples/datecal/Makefile ===
# Copyright (C) 2016 and later: Unicode, Inc. and others.
# License & terms of use: http://www.unicode.org/copyright.html
#
# Copyright (c) 2000-2006 IBM, Inc. and others
# sample code makefile

# Usage:
#  - configure, build, install ICU (make install)
#  - make sure "icu-config" (in the ICU installed bin directory) is on
#     the path
#  - do 'make' in this directory

#### definitions
# Name of your target
TARGET=datecal

# All object files (C or C++)
OBJECTS=cal.o ccal.o

#### rules
# Load in standard makefile definitions
include ../defs.mk

LDFLAGS += $(LDFLAGS_USTDIO)

# the actual rules (this is a simple sample)
include ../rules.mk

=== source/samples/legacy/Makefile ===
# Copyright (C) 2016 and later: Unicode, Inc. and others.
# License & terms of use: http://www.unicode.org/copyright.html
#
# Copyright (c) 2001-2004 IBM, Inc. and others
# conversion sample code


# Usage:
#  - configure and build ICU [see the docs] .. use "--prefix=" something
#     (I  used --prefix=/home/srl/III )
# 
#  - do 'make install' of icu 
#
#  - set the variable ICU_PREFIX to point at $(prefix)
#    (will look for $(prefix)/lib/icu/Makefile.inc )
# 
#  - set the variable ICU_LEGACY  (read the README)
#   ( Will look for ICU_LEGACY/include/unicode/ucol.h )
#  
#  - do 'make' in this directory

#ICU_PREFIX=/home/weiv/build/current
#ICU_LEGACY = /home/weiv/build/icu-1-8-1

LEGACY_INCLUDE = $(ICU_LEGACY)/include

ICU_INC=$(ICU_PREFIX)/lib/icu/Makefile.inc
ICUPATH=

-include $(ICU_INC)

# Name of your target
TARGET=legacy

# All object files (C or C++)
OBJECTS=legacy.o newcol.o oldcol.o

CLEANFILES=*~ $(TARGET).out

DEPS=$(OBJECTS:.o=.d)

# turn on super warnings
#CPPFLAGS += -Wall

all: $(TARGET) $(ICU_INC)

.PHONY: all clean distclean check report

oldcol.o : oldcol.cpp $(LEGACY_INCLUDE)/unicode/ucol.h
	$(CXX) -I$(LEGACY_INCLUDE) $(DEFS) $(CPPFLAGS) $(CXXFLAGS) -c oldcol.cpp

distclean clean:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
	-$(RMV) $(OBJECTS) $(TARGET)
	-$(RMV) $(DEPS)

# Can change this to LINK.c if it is a C only program
# Can add more libraries here. 
$(TARGET): $(OBJECTS)
	$(LINK.cc) -o $@ $^ $(ICULIBS) $(ICU_PREFIX)/lib/libicuuc.so.18 $(ICU_PREFIX)/lib/libicui18n.so.18 

# Make check: simply runs the sample, logged to a file
check: $(TARGET)
	$(INVOKE) ./$(TARGET) | tee $(TARGET).out

# Make report: creates a 'report file' with both source and sample run
report: $(TARGET).report

$(TARGET).report: check $(TARGET).cpp
	more $(TARGET).cpp $(TARGET).out > $@

$(ICU_INC):
	@echo ICU_PREFIX variable is not set correctly
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "And the README"
	@echo "Can't open $(ICU_INC)"
	@false

$(LEGACY_INCLUDE)/unicode/ucol.h:
	@echo ICU_LEGACY variable is not set correctly.
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "And the README"
	@echo "Can't open $@"
	@false

ifneq ($(MAKECMDGOALS),distclean)
-include $(DEPS)
endif

=== source/samples/props/Makefile ===
# Copyright (C) 2016 and later: Unicode, Inc. and others.
# License & terms of use: http://www.unicode.org/copyright.html
#
# Copyright (c) 2000-2002 IBM, Inc. and others
# sample code makefile

# Usage:
#  - configure, build, install ICU (make install)
#  - make sure "icu-config" (in the ICU installed bin directory) is on
#     the path
#  - do 'make' in this directory

#### definitions
# Name of your target
TARGET=props

# All object files (C or C++)
OBJECTS=props.o

#### rules
# Load in standard makefile definitions
include ../defs.mk

# the actual rules (this is a simple sample)
include ../rules.mk

=== source/samples/translit/Makefile ===
# Copyright (C) 2016 and later: Unicode, Inc. and others.
# License & terms of use: http://www.unicode.org/copyright.html
#
# Copyright (c) 2000-2003 IBM, Inc. and others
# sample code makefile

# Usage:
#  - configure, build, install ICU (make install)
#  - make sure "icu-config" (in the ICU installed bin directory) is on
#     the path
#  - do 'make' in this directory

#### definitions
# Name of your target
TARGET=translit

# All object files (C or C++)
OBJECTS=main.o unaccent.o util.o

#### rules
# Load in standard makefile definitions
include ../defs.mk

# the actual rules (this is a simple sample)
include ../rules.mk

=== source/samples/ustring/Makefile ===
# Copyright (C) 2016 and later: Unicode, Inc. and others.
# License & terms of use: http://www.unicode.org/copyright.html
#
# Copyright (c) 2002 IBM, Inc. and others
# sample code makefile

# Usage:
#  - configure, build, install ICU (make install)
#  - make sure "icu-config" (in the ICU installed bin directory) is on
#     the path
#  - do 'make' in this directory

# Name of your target
TARGET=ustring

# All object files (C or C++)
OBJECTS=ustring.o

# Load in standard makefile definitions
include ../defs.mk

# the actual rules (this is a simple sample)
include ../rules.mk

=== debian/changelog ===
icu (72.1-6) unstable; urgency=medium

  * Replace the Python 3.13 removed unittest.makeSuite() function
    (closes: #1092526).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 08 Jan 2025 21:07:22 +0100

icu (72.1-5) unstable; urgency=medium

  * Remove python3-distutils dependency (closes: #1065874).
  * Update Standards-Version to 4.7.0 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: differentiate build and host compiler flags
    (closes: #1057726).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 01 Jul 2024 19:52:08 +0200

icu (72.1-4) unstable; urgency=medium

  [ Adrian Bunk <bunk@debian.org> ]
  * Fix FTBFS with GCC 13 on i386 (closes: #1054253).

  [ Vagrant Cascadian <vagrant@reproducible-builds.org> ]
  * Make builds reproducible (closes: #1039624):
    - debian/rules: Remove build paths from .inc and .tag files,
    - debian/rules: Consistently use /bin/sh SHELL in .inc files.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 20 Oct 2023 17:44:53 +0200

icu (72.1-3) unstable; urgency=high

  * Backport fix for ICU-22198: fix stack buffer overflow.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 25 Nov 2022 20:19:48 +0100

icu (72.1-2) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 08 Nov 2022 16:14:01 +0100

icu (72.1-1) experimental; urgency=medium

  * New major upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 21 Oct 2022 06:17:22 +0200

icu (72.1~rc-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * Backport upstream fix for ICU-22158: make
    TestAlgorithmicParentFallback() test more robust to different default
    locales.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 23 Sep 2022 22:31:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: icu
 Section: libs
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), autoconf-archive, pkg-config,
- python3-distutils
-Build-Depends-Indep: doxygen (>= 1.7.1)
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), autoconf-archive, pkgconf,
+ python3 <!nocheck>
+Build-Depends-Indep: doxygen
 Build-Conflicts: clang
 Homepage: https://icu.unicode.org/
 Rules-Requires-Root: no
 
-Package: libicu71
+Package: libicu72
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -28,9 +27,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libicu71 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
-Replaces: icu-devtools (<< 71.1~rc-1~)
-Breaks: icu-devtools (<< 71.1~rc-1~)
+Depends: ${misc:Depends}, libicu72 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
+Replaces: icu-devtools (<< 72.1~rc-1~)
+Breaks: icu-devtools (<< 72.1~rc-1~)
 Suggests: icu-doc
 Description: Development files for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
@@ -43,8 +42,8 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 71.1~rc-1~)
-Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 71.1~rc-1~)
+Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 72.1~rc-1~)
+Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 72.1~rc-1~)
 Description: Development utilities for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
  Unicode and locale support. This package contains programs used to

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_CXXFLAGS_MAINT_APPEND += -fexcess-precision=fast
 
 include /usr/share/dpkg/architecture.mk
 
@@ -18,7 +20,7 @@
 
 include /usr/share/dpkg/buildflags.mk
 
-l_SONAME=70
+l_SONAME=72
 
 override_dh_auto_clean:
 	dh_auto_clean --no-parallel
@@ -33,7 +35,7 @@
 ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 	dh_auto_configure -- --enable-static --disable-layoutex --disable-icu-config
 else
-	dh_auto_configure -B $(CURDIR)/build-native -- --host=$(DEB_BUILD_GNU_TYPE) --disable-layoutex --disable-icu-config
+	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_configure --reload-all-buildenv-variables -B $(CURDIR)/build-native -- --disable-layoutex --disable-icu-config
 	dh_auto_build -B $(CURDIR)/build-native
 	dh_auto_configure -- --enable-static --with-cross-build=$(CURDIR)/build-native
 endif
@@ -50,6 +52,10 @@
 	$(MAKE) -C $(CURDIR)/source/ install-doc DESTDIR=$(CURDIR)/debian/tmp/
 	# delete extra license file
 	$(RM) $(CURDIR)/debian/tmp/usr/share/icu/$(l_SONAME).?/LICENSE
+	# Remove build paths
+	sed -i -e 's,$(CURDIR),BUILDPATH,g' debian/*/usr/lib/*/icu/*/*.inc
+	# Consistently use /bin/sh for SHELL
+	sed -i -e 's,^SHELL =.*,SHELL = /bin/sh,g' debian/*/usr/lib/*/icu/*/*.inc
 
 override_dh_installdocs-indep:
 	dh_installdocs -i
@@ -61,6 +67,8 @@
 			ln -s `basename $$normal` $$file; \
 		fi; \
 	done
+	# Remove build paths from documentation
+	sed -i -e 's,$(CURDIR),,g' debian/icu-doc/usr/share/doc/icu-doc/html/icudocs.tag
 
 override_dh_missing:
 	dh_missing --list-missing
@@ -72,7 +80,3 @@
 	override_dh_auto_build override_dh_auto_test \
 	override_dh_auto_install override_dh_installdocs-indep \
 	override_dh_missing
-
-override_dh_strip:
-	dh_strip -a --no-automatic-dbgsym
-

## icu 74.2

=== debian/changelog ===
icu (74.2-1ubuntu3.1) noble-proposed; urgency=medium

  * SRU: LP: #2076340: No-change rebuild to pick up changed build flags
    on ppc64 and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Aug 2024 04:33:20 +0200

icu (74.2-1ubuntu3) noble; urgency=medium

  * Replace obsolete python3-distutils dependency by just python3

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 08 Apr 2024 20:46:39 +0200

icu (74.2-1ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:59:20 +0200

icu (74.2-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Dec 2023 14:43:54 +0100

icu (74.2-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 14 Dec 2023 08:53:50 +0100

icu (74.1-1) experimental; urgency=medium

  * New major upstream release.
  * Building with Clang causes more problems, switch back to GCC.

  [ Adrian Bunk <bunk@debian.org> ]
  * Fix FTBFS with GCC 13 on i386 (closes: #1054253).

  [ Vagrant Cascadian <vagrant@reproducible-builds.org> ]
  * Make builds reproducible (closes: #1039624):
    - debian/rules: Remove build paths from .inc and .tag files,
    - debian/rules: Consistently use /bin/sh SHELL in .inc files.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 31 Oct 2023 22:07:13 +0100

icu (74.1~rc-2) experimental; urgency=medium

  * Build with Clang due to double type number precision with GCC on i386 and
    hurd-i386 architectures.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 15 Oct 2023 08:29:53 +0200

icu (74.1~rc-1) experimental; urgency=medium

  * New major upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 07 Oct 2023 02:13:37 +0200

icu (73.2-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 15 Jun 2023 21:49:56 +0200

icu (73.1-1) experimental; urgency=medium

  * New major upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 16 Apr 2023 14:51:17 +0200

icu (73.1~rc-1) experimental; urgency=medium

  * New major upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Mar 2023 20:58:37 +0100

icu (72.1-4ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/test-canonical-ids.patch: update TestCanonicalIDs to match latest
      tzdata, including the de-aliasing due to pre-1970 data (LP #2016021)
    - d/p/disable-precision-fpmath-tests-on-i386.patch: add a patch to disable
      precision checking tests on i386 where an imprecise FPU hardware is used
  * Drop changes:
    - d/p/0001-ICU-22327-Update-tzdata-to-2023a.patch: already covered by
      d/p/test-canonical-ids.patch, not previously applied and not needed
    - d/p/tzdata-pre-1970-split.patch: not previously applied, covered by
      d/p/test-canonical-ids.patch and no longer needed
    - d/p/ICU-22198.patch: removed refresh changes, the refreshed patch
      is the same as the original one

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 08 Dec 2023 16:03:59 -0700

icu (72.1-3ubuntu3) mantic; urgency=medium

  * d/p/disable-precision-fpmath-tests-on-i386.patch: add a patch to disable
    precision checking tests on i386 where an imprecise FPU hardware is used

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 14 Sep 2023 15:01:17 -0600

icu (72.1-3ubuntu2) lunar; urgency=medium

  * d/p/test-canonical-ids.patch: update TestCanonicalIDs to match latest
    tzdata, including the de-aliasing due to pre-1970 data (LP: #2016021)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 12 Apr 2023 17:02:53 +0200

icu (72.1-3ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - test-canonical-ids.patch: Update TestCanonicalIDs values to match
      new tzdata logic.

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Thu, 02 Feb 2023 15:25:16 -0500

icu (71.1-3ubuntu1) kinetic; urgency=medium

  * Update TestCanonicalIDs values to match the new tzdata logic.
    This patch can be dropped when version icu v72 is synced to Ubuntu

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 28 Sep 2022 09:40:16 -0500

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 include /usr/share/dpkg/buildflags.mk
 
-l_SONAME=72
+l_SONAME=74
 
 override_dh_auto_clean:
 	dh_auto_clean --no-parallel
@@ -35,7 +35,7 @@
 ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 	dh_auto_configure -- --enable-static --disable-layoutex --disable-icu-config
 else
-	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_configure --reload-all-buildenv-variables -B $(CURDIR)/build-native -- --disable-layoutex --disable-icu-config
+	dh_auto_configure -B $(CURDIR)/build-native -- --host=$(DEB_BUILD_GNU_TYPE) --disable-layoutex --disable-icu-config
 	dh_auto_build -B $(CURDIR)/build-native
 	dh_auto_configure -- --enable-static --with-cross-build=$(CURDIR)/build-native
 endif
@@ -51,7 +51,7 @@
 	dh_auto_install
 	$(MAKE) -C $(CURDIR)/source/ install-doc DESTDIR=$(CURDIR)/debian/tmp/
 	# delete extra license file
-	$(RM) $(CURDIR)/debian/tmp/usr/share/icu/$(l_SONAME).?/LICENSE
+	#$(RM) $(CURDIR)/debian/tmp/usr/share/icu/$(l_SONAME).?/LICENSE
 	# Remove build paths
 	sed -i -e 's,$(CURDIR),BUILDPATH,g' debian/*/usr/lib/*/icu/*/*.inc
 	# Consistently use /bin/sh for SHELL
@@ -73,10 +73,13 @@
 override_dh_missing:
 	dh_missing --list-missing
 
+override_dh_dwz:
+	echo dh_dwz set to no op due to #1016936
+
 %:
 	dh $@ --sourcedirectory=$(CURDIR)/source/
 
 .PHONY: override_dh_auto_clean override_dh_clean override_dh_auto_configure \
 	override_dh_auto_build override_dh_auto_test \
 	override_dh_auto_install override_dh_installdocs-indep \
-	override_dh_missing
+	override_dh_missing override_dh_dwz

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d+)-(\d+)/$1.$2/;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
pgpsigurlmangle=s/$/.asc/ \
https://github.com/unicode-org/icu/tags \
(?:|.*/)release-v?(\d\S*)@ARCHIVE_EXT@

## icu 76.1

=== source/tools/gencolusb/Makefile ===
## Makefile for rebuilding 'unsafe backward' data
## Copyright (C) 2016 and later: Unicode, Inc. and others.
## License & terms of use: http://www.unicode.org/copyright.html
## Copyright (c) 2015, International Business Machines Corporation and
## others. All Rights Reserved.

##
## CONFIGURATION:
## 1. create Makefile.local containing overrides if necessary:
##    BUILD_ROOT=/home/user/icu-build    (location of 'config.status' etc.)
##    PATH_VAR=DYLD_LIBRARY_PATH         (if on OSX etc)
##
## UPDATING
## 1.  make 'reset-icu' will reset ICU to 'bootstrap' state, zeroing out source/i18n/collunsafe.h
## 2.  make 'gen-file'  will generate and test source/i18n/collunsafe.h

subdir=tools/gencolusb
srcdir=$(shell pwd)
SOURCE_ROOT=$(shell cd ../.. ; pwd)
BUILD_ROOT=$(SOURCE_ROOT)
BUILD_HERE=$(BUILD_ROOT)/$(subdir)
TOOL=extract_unsafe_backwards
TEST=verify_uset
PATH_VAR=LD_LIBRARY_PATH

-include Makefile.local

GEN_FILE=$(SOURCE_ROOT)/i18n/collunsafe.h
BUILD_OPTS=-I$(SOURCE_ROOT)/common -I$(SOURCE_ROOT)/i18n -L$(BUILD_ROOT)/lib -licuuc -licui18n -licudata
RUN_OPTS=env $(PATH_VAR)=$(BUILD_ROOT)/lib

reset-icu:
	>$(GEN_FILE)
	$(MAKE) -C $(BUILD_ROOT)/i18n

gen-file: reset-icu
	mkdir -p $(BUILD_HERE)
	$(CXX) -o $(BUILD_HERE)/$(TOOL) $(srcdir)/$(TOOL).cpp  $(BUILD_OPTS)
	$(RUN_OPTS) $(BUILD_HERE)/$(TOOL) > $(GEN_FILE) || exit 1
	$(CXX) -o $(BUILD_HERE)/$(TEST) $(srcdir)/$(TEST).cpp $(BUILD_OPTS)
	$(RUN_OPTS) $(BUILD_HERE)/$(TEST) || exit 1
	$(MAKE) -C $(BUILD_ROOT)/i18n
	$(RUN_OPTS) $(BUILD_HERE)/$(TEST) || exit 1

.PHONY: reset-icu gen-file

=== debian/changelog ===
icu (76.1-4) unstable; urgency=high

  * Backport fix for ICU-22973: fix buffer overflow by using CharString;
    remedy for CVE-2025-5222 (closes: #1106684).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 31 May 2025 07:04:58 +0200

icu (76.1-3) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 13 Mar 2025 17:55:46 +0100

icu (76.1-2) experimental; urgency=medium

  * Reverse ICU-22610 to link correctly with icuuc (closes: #1092243).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 06 Jan 2025 20:25:28 +0100

icu (76.1-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 25 Oct 2024 20:07:08 +0200

icu (76.1~rc-1) experimental; urgency=medium

  * New major upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 02 Oct 2024 18:23:31 +0200

icu (75.1-2) experimental; urgency=medium

  * Remove python3-distutils dependency (closes: #1065874).
  * Update Standards-Version to 4.7.0 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: differentiate build and host compiler flags
    (closes: #1057726).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 04 Jul 2024 21:42:26 +0200

icu (75.1-1) experimental; urgency=medium

  * New major upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 18 Apr 2024 16:47:09 +0200

icu (75.1~rc-1) experimental; urgency=medium

  * New major upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 04 Apr 2024 19:18:24 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  python3 <!nocheck>
 Build-Depends-Indep: doxygen
 Build-Conflicts: clang
+Rules-Requires-Root: no
 Homepage: https://icu.unicode.org/
-Rules-Requires-Root: no
 
-Package: libicu72
+Package: libicu76
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -27,9 +27,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libicu72 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
-Replaces: icu-devtools (<< 72.1~rc-1~)
-Breaks: icu-devtools (<< 72.1~rc-1~)
+Depends: ${misc:Depends}, libicu76 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
+Replaces: icu-devtools (<< 76.1~rc-1~)
+Breaks: icu-devtools (<< 76.1~rc-1~)
 Suggests: icu-doc
 Description: Development files for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
@@ -42,8 +42,8 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 72.1~rc-1~)
-Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 72.1~rc-1~)
+Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 76.1~rc-1~)
+Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 76.1~rc-1~)
 Description: Development utilities for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
  Unicode and locale support. This package contains programs used to

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 include /usr/share/dpkg/buildflags.mk
 
-l_SONAME=74
+l_SONAME=76
 
 override_dh_auto_clean:
 	dh_auto_clean --no-parallel
@@ -35,7 +35,7 @@
 ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 	dh_auto_configure -- --enable-static --disable-layoutex --disable-icu-config
 else
-	dh_auto_configure -B $(CURDIR)/build-native -- --host=$(DEB_BUILD_GNU_TYPE) --disable-layoutex --disable-icu-config
+	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_configure --reload-all-buildenv-variables -B $(CURDIR)/build-native -- --disable-layoutex --disable-icu-config
 	dh_auto_build -B $(CURDIR)/build-native
 	dh_auto_configure -- --enable-static --with-cross-build=$(CURDIR)/build-native
 endif
@@ -51,7 +51,7 @@
 	dh_auto_install
 	$(MAKE) -C $(CURDIR)/source/ install-doc DESTDIR=$(CURDIR)/debian/tmp/
 	# delete extra license file
-	#$(RM) $(CURDIR)/debian/tmp/usr/share/icu/$(l_SONAME).?/LICENSE
+	$(RM) $(CURDIR)/debian/tmp/usr/share/icu/$(l_SONAME).?/LICENSE
 	# Remove build paths
 	sed -i -e 's,$(CURDIR),BUILDPATH,g' debian/*/usr/lib/*/icu/*/*.inc
 	# Consistently use /bin/sh for SHELL

=== debian/tests/control ===
Tests: smoke
Depends: libicu-dev, pkgconf
Restrictions: allow-stderr

Tests: build-test
Depends: build-essential, libicu-dev, pkgconf
Restrictions: allow-stderr

## icu 77.1

=== debian/changelog ===
icu (77.1-3) experimental; urgency=medium

  * Fix armel, armhf and x32 self-testing.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 23 Aug 2025 08:05:35 +0200

icu (77.1-2) experimental; urgency=medium

  * Fix 32 bit self-testing.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Aug 2025 12:40:01 +0200

icu (77.1-1) experimental; urgency=medium

  * New major upstream release.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 16 Aug 2025 07:47:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), autoconf-archive, pkgconf,
  python3 <!nocheck>
 Build-Depends-Indep: doxygen
@@ -10,13 +10,11 @@
 Rules-Requires-Root: no
 Homepage: https://icu.unicode.org/
 
-Package: libicu76
+Package: libicu77
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: openttd (<< 1.8.0-2~), libiculx63 (<< 63.1-5)
-Replaces: libiculx63 (<< 63.1-5)
 Description: International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
  Unicode and locale support.  This package contains the runtime
@@ -27,9 +25,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libicu76 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
-Replaces: icu-devtools (<< 76.1~rc-1~)
-Breaks: icu-devtools (<< 76.1~rc-1~)
+Depends: ${misc:Depends}, libicu77 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
+Replaces: icu-devtools (<< 77.1~rc-1~)
+Breaks: icu-devtools (<< 77.1~rc-1~)
 Suggests: icu-doc
 Description: Development files for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
@@ -42,8 +40,8 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 76.1~rc-1~)
-Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 76.1~rc-1~)
+Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 77.1~rc-1~)
+Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 77.1~rc-1~)
 Description: Development utilities for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
  Unicode and locale support. This package contains programs used to

## icu 78.1~rc

=== source/samples/ugrep/Makefile ===
# Copyright (C) 2016 and later: Unicode, Inc. and others.
# License & terms of use: http://www.unicode.org/copyright.html
#
# Copyright (c) 2000-2010 IBM, Inc. and others
# sample code makefile

# Usage:
#  - configure, build, install ICU (make install)
#  - make sure "icu-config" (in the ICU installed bin directory) is on
#     the path
#  - do 'make' in this directory

#### definitions
# Name of your target
TARGET=ugrep

# All object files (C or C++)
OBJECTS=ugrep.o

CHECK_ARGS=BOM readme.txt

#### rules
# Load in standard makefile definitions
include ../defs.mk

# the actual rules (this is a simple sample)
include ../rules.mk

=== source/tools/gencolusb/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 -include Makefile.local
 
 GEN_FILE=$(SOURCE_ROOT)/i18n/collunsafe.h
-BUILD_OPTS=-I$(SOURCE_ROOT)/common -I$(SOURCE_ROOT)/i18n -L$(BUILD_ROOT)/lib -licuuc -licui18n -licudata
+BUILD_OPTS+=-I$(SOURCE_ROOT)/common -I$(SOURCE_ROOT)/i18n -L$(BUILD_ROOT)/lib -licuuc -licui18n -licudata
 RUN_OPTS=env $(PATH_VAR)=$(BUILD_ROOT)/lib
 
 reset-icu:
@@ -37,8 +37,10 @@
 	mkdir -p $(BUILD_HERE)
 	$(CXX) -o $(BUILD_HERE)/$(TOOL) $(srcdir)/$(TOOL).cpp  $(BUILD_OPTS)
 	$(RUN_OPTS) $(BUILD_HERE)/$(TOOL) > $(GEN_FILE) || exit 1
+	echo
 	$(CXX) -o $(BUILD_HERE)/$(TEST) $(srcdir)/$(TEST).cpp $(BUILD_OPTS)
 	$(RUN_OPTS) $(BUILD_HERE)/$(TEST) || exit 1
+	echo
 	$(MAKE) -C $(BUILD_ROOT)/i18n
 	$(RUN_OPTS) $(BUILD_HERE)/$(TEST) || exit 1

=== debian/changelog ===
icu (78.1~rc-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * Remove now redundant Rules-Requires-Root value.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 08 Oct 2025 20:11:13 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,9 @@
  python3 <!nocheck>
 Build-Depends-Indep: doxygen
 Build-Conflicts: clang
-Rules-Requires-Root: no
 Homepage: https://icu.unicode.org/
 
-Package: libicu77
+Package: libicu78
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -25,9 +24,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libicu77 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
-Replaces: icu-devtools (<< 77.1~rc-1~)
-Breaks: icu-devtools (<< 77.1~rc-1~)
+Depends: ${misc:Depends}, libicu78 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
+Replaces: icu-devtools (<< 78.1~rc-1~)
+Breaks: icu-devtools (<< 78.1~rc-1~)
 Suggests: icu-doc
 Description: Development files for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
@@ -40,8 +39,8 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 77.1~rc-1~)
-Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 77.1~rc-1~)
+Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 78.1~rc-1~)
+Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 78.1~rc-1~)
 Description: Development utilities for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
  Unicode and locale support. This package contains programs used to

=== debian/rules ===
--- 
+++ 
@@ -73,13 +73,10 @@
 override_dh_missing:
 	dh_missing --list-missing
 
-override_dh_dwz:
-	echo dh_dwz set to no op due to #1016936
-
 %:
 	dh $@ --sourcedirectory=$(CURDIR)/source/
 
 .PHONY: override_dh_auto_clean override_dh_clean override_dh_auto_configure \
 	override_dh_auto_build override_dh_auto_test \
 	override_dh_auto_install override_dh_installdocs-indep \
-	override_dh_missing override_dh_dwz
+	override_dh_missing

## icu 78.1

=== debian/changelog ===
icu (78.1-2ubuntu2) resolute; urgency=medium

  * Cherry-pick ICU-23252.patch and ICU-23278.patch
    from 78.1 branch, to fix nodejs build failures
    https://github.com/nodejs/node/pull/60523

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Dec 2025 17:12:36 +0100

icu (78.1-2ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - d/p/disable-precision-fpmath-tests-on-i386.patch: add a patch to disable
      precision checking tests on i386 where an imprecise FPU hardware is used

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Dec 2025 10:05:26 +0100

icu (78.1-2) experimental; urgency=medium

  * Backport fix for ICU-23261: correctly propagate errors to the caller.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 08 Dec 2025 16:14:04 +0100

icu (78.1-1ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - d/p/disable-precision-fpmath-tests-on-i386.patch: add a patch to disable
      precision checking tests on i386 where an imprecise FPU hardware is used

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Dec 2025 15:17:38 +0100

icu (78.1-1) experimental; urgency=medium

  * New major upstream release.
  * Fix hppa and powerpc self-testing.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 31 Oct 2025 17:20:11 +0100

icu (76.1-4ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 15:10:29 +0000

icu (76.1-4ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2112012). Remaining changes:
    - d/p/disable-precision-fpmath-tests-on-i386.patch: add a patch to disable
      precision checking tests on i386 where an imprecise FPU hardware is used
    Dropped changes, applied in Debian:
    - Don't use private libs in the pkgconf files, breaking builds.
    Dropped changes, applied upstream (actually dropped a few merges ago):
    - d/p/test-canonical-ids.patch: update TestCanonicalIDs to match latest
      tzdata, including the de-aliasing due to pre-1970 data (LP #2016021)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 04 Jun 2025 18:36:42 +0200

icu (76.1-1ubuntu2) plucky; urgency=medium

  * Don't use private libs in the pkgconf files, breaking builds.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2025 15:04:41 +0100

icu (76.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - d/p/test-canonical-ids.patch: update TestCanonicalIDs to match latest
      tzdata, including the de-aliasing due to pre-1970 data (LP #2016021)
    - d/p/disable-precision-fpmath-tests-on-i386.patch: add a patch to disable
      precision checking tests on i386 where an imprecise FPU hardware is used

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2025 14:06:22 +0100

icu (74.2-1ubuntu4) oracular-proposed; urgency=medium

  * LP: #2076340: No-change rebuild to pick up changed build flags on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Aug 2024 14:55:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: icu
 Section: libs
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), autoconf-archive, pkgconf,
  python3 <!nocheck>
@@ -25,8 +26,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, libicu78 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
-Replaces: icu-devtools (<< 78.1~rc-1~)
-Breaks: icu-devtools (<< 78.1~rc-1~)
+Replaces: icu-devtools (<< 78.1-1~)
+Breaks: icu-devtools (<< 78.1-1~)
 Suggests: icu-doc
 Description: Development files for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
@@ -39,8 +40,8 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 78.1~rc-1~)
-Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 78.1~rc-1~)
+Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 78.1-1~)
+Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 78.1-1~)
 Description: Development utilities for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
  Unicode and locale support. This package contains programs used to

=== debian/watch ===
Version: 5

Template: Github
Owner: unicode-org
Pgpsigurlmangle: s/$/.asc/
Project: icu
Matching-Pattern: refs/tags/release@ANY_VERSION@
Uversion-Mangle: auto

## icu 78.2

=== debian/changelog ===
icu (78.2-2ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/p/disable-precision-fpmath-tests-on-i386.patch: add a patch to disable
      precision checking tests on i386 where an imprecise FPU hardware is used

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Mar 2026 18:55:38 +0100

icu (78.2-2) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Mar 2026 07:33:36 +0100

icu (78.2-1ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - d/p/disable-precision-fpmath-tests-on-i386.patch: add a patch to disable
      precision checking tests on i386 where an imprecise FPU hardware is used

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 Jan 2026 17:17:23 +0100

icu (78.2-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 09 Jan 2026 17:01:27 +0100
